Bug 255953

Summary: Crash during thumbnail creation
Product: digikam Reporter: Jens Berthold <jens>
Component: Thumbs-EngineAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: crash CC: caulier.gilles, qpgmr65
Priority: NOR    
Version: 1.4.0   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 6.3.0

Description Jens Berthold 2010-11-03 11:20:51 UTC
Application: digikam (1.4.0)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.32-25-generic i686
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:
A thumbnail creation scan was running, at the same time I browsed an album with missing thumbnails, so they were also created
- Custom settings of the application:
MySQL database

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb64e4740 (LWP 2584))]

Thread 16 (Thread 0xb41b7b70 (LWP 2587)):
#0  0x00188422 in __kernel_vsyscall ()
#1  0x006a8015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01b9fb07 in QWaitConditionPrivate::wait (this=0xa217008, mutex=0xa217004, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0xa217008, mutex=0xa217004, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0x08332054 in Digikam::ScanController::run (this=0xa215620) at /build/buildd/digikam-1.4.0/digikam/scancontroller.cpp:515
#5  0x01b9ef39 in QThreadPrivate::start (arg=0xa215620) at thread/qthread_unix.cpp:266
#6  0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xb39b6b70 (LWP 2668)):
#0  0x00188422 in __kernel_vsyscall ()
#1  0x02153b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x05f694db in g_poll () from /lib/libglib-2.0.so.0
#3  0x05f5be5c in ?? () from /lib/libglib-2.0.so.0
#4  0x05f5c268 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x01cce82f in QEventDispatcherGlib::processEvents (this=0xa31b328, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#6  0x01c9ea99 in QEventLoop::processEvents (this=0xb39b62a0, flags=) at kernel/qeventloop.cpp:149
#7  0x01c9ef1a in QEventLoop::exec (this=0xb39b62a0, flags=...) at kernel/qeventloop.cpp:201
#8  0x01b9bc5e in QThread::exec (this=0xa31ad48) at thread/qthread.cpp:490
#9  0x09bacf1d in Digikam::ImageFilterModelWorker::Thread::run (this=0xa31ad48) at /build/buildd/digikam-1.4.0/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#10 0x01b9ef39 in QThreadPrivate::start (arg=0xa31ad48) at thread/qthread_unix.cpp:266
#11 0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb31b5b70 (LWP 2669)):
#0  0x01f68e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x01bfa48b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x01cd0965 in QTimerInfoList::updateCurrentTime (this=0xa31bf94) at kernel/qeventdispatcher_unix.cpp:339
#4  0x01cd09aa in QTimerInfoList::timerWait (this=0xa31bf94, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x01ccea38 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb31b50cc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x01cceac5 in timerSourcePrepare (source=0x0, timeout=0x1f6cff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x05f5b87a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x05f5bc99 in ?? () from /lib/libglib-2.0.so.0
#9  0x05f5c268 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x01cce82f in QEventDispatcherGlib::processEvents (this=0xa31b378, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x01c9ea99 in QEventLoop::processEvents (this=0xb31b52a0, flags=) at kernel/qeventloop.cpp:149
#12 0x01c9ef1a in QEventLoop::exec (this=0xb31b52a0, flags=...) at kernel/qeventloop.cpp:201
#13 0x01b9bc5e in QThread::exec (this=0xa31b078) at thread/qthread.cpp:490
#14 0x09bacf1d in Digikam::ImageFilterModelWorker::Thread::run (this=0xa31b078) at /build/buildd/digikam-1.4.0/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#15 0x01b9ef39 in QThreadPrivate::start (arg=0xa31b078) at thread/qthread_unix.cpp:266
#16 0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#17 0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb266eb70 (LWP 2670)):
#0  0x00188422 in __kernel_vsyscall ()
#1  0x006a8015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01b9fb07 in QWaitConditionPrivate::wait (this=0xa3237c0, mutex=0xa3237bc, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0xa3237c0, mutex=0xa3237bc, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0x026473ba in Digikam::ParkingThread::run (this=0xa3237b0) at /build/buildd/digikam-1.4.0/libs/threads/threadmanager.cpp:101
#5  0x01b9ef39 in QThreadPrivate::start (arg=0xa3237b0) at thread/qthread_unix.cpp:266
#6  0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xb1e6db70 (LWP 2672)):
#0  0x00188422 in __kernel_vsyscall ()
#1  0x02153b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x05f694db in g_poll () from /lib/libglib-2.0.so.0
#3  0x05f5be5c in ?? () from /lib/libglib-2.0.so.0
#4  0x05f5c268 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x01cce82f in QEventDispatcherGlib::processEvents (this=0xa344900, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#6  0x01c9ea99 in QEventLoop::processEvents (this=0xb1e6d2c0, flags=) at kernel/qeventloop.cpp:149
#7  0x01c9ef1a in QEventLoop::exec (this=0xb1e6d2c0, flags=...) at kernel/qeventloop.cpp:201
#8  0x01b9bc5e in QThread::exec (this=0xa3442c8) at thread/qthread.cpp:490
#9  0x01b9ef39 in QThreadPrivate::start (arg=0xa3442c8) at thread/qthread_unix.cpp:266
#10 0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xb166cb70 (LWP 2673)):
#0  0x006a5f5b in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x05f5c24e in g_main_context_iteration () from /lib/libglib-2.0.so.0
#2  0x01cce82f in QEventDispatcherGlib::processEvents (this=0xa343830, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#3  0x01c9ea99 in QEventLoop::processEvents (this=0xb166c2c0, flags=) at kernel/qeventloop.cpp:149
#4  0x01c9ef1a in QEventLoop::exec (this=0xb166c2c0, flags=...) at kernel/qeventloop.cpp:201
#5  0x01b9bc5e in QThread::exec (this=0xa344640) at thread/qthread.cpp:490
#6  0x01b9ef39 in QThreadPrivate::start (arg=0xa344640) at thread/qthread_unix.cpp:266
#7  0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xaa737b70 (LWP 2707)):
#0  0x00188422 in __kernel_vsyscall ()
#1  0x006a8342 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x03c28ce7 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 9 (Thread 0xa9b2bb70 (LWP 2708)):
#0  0x00188422 in __kernel_vsyscall ()
#1  0x0215a971 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x03c525cc in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 8 (Thread 0xa932ab70 (LWP 2709)):
#0  0x01f68e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x01bfa48b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x01cd0965 in QTimerInfoList::updateCurrentTime (this=0xa818934) at kernel/qeventdispatcher_unix.cpp:339
#4  0x01cd09aa in QTimerInfoList::timerWait (this=0xa818934, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x01ccea38 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa932a07c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x01cceac5 in timerSourcePrepare (source=0x0, timeout=0x1f6cff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x05f5b87a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x05f5bc99 in ?? () from /lib/libglib-2.0.so.0
#9  0x05f5c268 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x01cce82f in QEventDispatcherGlib::processEvents (this=0xa817440, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x01c9ea99 in QEventLoop::processEvents (this=0xa932a250, flags=) at kernel/qeventloop.cpp:149
#12 0x01c9ef1a in QEventLoop::exec (this=0xa932a250, flags=...) at kernel/qeventloop.cpp:201
#13 0x01b9bc5e in QThread::exec (this=0xa817010) at thread/qthread.cpp:490
#14 0x0370581a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#15 0x01b9ef39 in QThreadPrivate::start (arg=0xa817010) at thread/qthread_unix.cpp:266
#16 0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#17 0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xa8b29b70 (LWP 2710)):
#0  0x00188422 in __kernel_vsyscall ()
#1  0x02153b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x0082e502 in ?? () from /usr/lib/libpulse.so.0
#3  0x0081aa59 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x0081ca13 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x0081cae4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x0082e2a3 in ?? () from /usr/lib/libpulse.so.0
#7  0x028f3e02 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#8  0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#9  0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xa41ffb70 (LWP 2711)):
#0  0x00188422 in __kernel_vsyscall ()
#1  0x006a8015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x03c399ee in ?? () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 5 (Thread 0xa39feb70 (LWP 2713)):
#0  0x01f68e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x01bfa48b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x01cd0965 in QTimerInfoList::updateCurrentTime (this=0xa426a234) at kernel/qeventdispatcher_unix.cpp:339
#4  0x01cd09aa in QTimerInfoList::timerWait (this=0xa426a234, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x01ccea38 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa39fe08c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x01cceac5 in timerSourcePrepare (source=0x0, timeout=0x1f6cff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x05f5b87a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x05f5bc99 in ?? () from /lib/libglib-2.0.so.0
#9  0x05f5c268 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x01cce82f in QEventDispatcherGlib::processEvents (this=0xa8c1c60, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x01c9ea99 in QEventLoop::processEvents (this=0xa39fe260, flags=) at kernel/qeventloop.cpp:149
#12 0x01c9ef1a in QEventLoop::exec (this=0xa39fe260, flags=...) at kernel/qeventloop.cpp:201
#13 0x01b9bc5e in QThread::exec (this=0xa8c11f0) at thread/qthread.cpp:490
#14 0x01c7d9ab in QInotifyFileSystemWatcherEngine::run (this=0xa8c11f0) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x01b9ef39 in QThreadPrivate::start (arg=0xa8c11f0) at thread/qthread_unix.cpp:266
#16 0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#17 0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xa0918b70 (LWP 2736)):
#0  0x05f5b820 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x05f5bc99 in ?? () from /lib/libglib-2.0.so.0
#2  0x05f5c268 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x01cce82f in QEventDispatcherGlib::processEvents (this=0xaaac430, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#4  0x01c9ea99 in QEventLoop::processEvents (this=0xa0918260, flags=) at kernel/qeventloop.cpp:149
#5  0x01c9ef1a in QEventLoop::exec (this=0xa0918260, flags=...) at kernel/qeventloop.cpp:201
#6  0x01b9bc5e in QThread::exec (this=0xaaa8aa8) at thread/qthread.cpp:490
#7  0x01c7d9ab in QInotifyFileSystemWatcherEngine::run (this=0xaaa8aa8) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x01b9ef39 in QThreadPrivate::start (arg=0xaaa8aa8) at thread/qthread_unix.cpp:266
#9  0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0x9f1feb70 (LWP 3753)):
[KCrash Handler]
#7  0x02627896 in Digikam::ThumbnailLoadingTask::execute (this=0xcb17698) at /build/buildd/digikam-1.4.0/libs/threadimageio/thumbnailtask.cpp:94
#8  0x026044b3 in Digikam::LoadSaveThread::run (this=0xaa7e848) at /build/buildd/digikam-1.4.0/libs/threadimageio/loadsavethread.cpp:116
#9  0x026488e6 in Digikam::DynamicThreadPriv::run (this=0xaa72300) at /build/buildd/digikam-1.4.0/libs/threads/dynamicthread.cpp:237
#10 0x01b93603 in QThreadPoolThread::run (this=0xc5b7150) at concurrent/qthreadpool.cpp:106
#11 0x01b9ef39 in QThreadPrivate::start (arg=0xc5b7150) at thread/qthread_unix.cpp:266
#12 0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#13 0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xa311db70 (LWP 3821)):
#0  0x00188422 in __kernel_vsyscall ()
#1  0x006a8015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x01b9e012 in QMutexPrivate::wait (this=0xa24e5a0, timeout=-1) at thread/qmutex_unix.cpp:84
#3  0x01b996c2 in QMutex::lock (this=0xa239d14) at thread/qmutex.cpp:204
#4  0x0260ce28 in CacheLock (this=0xa311d1f0, cache=0xa240bb0) at /build/buildd/digikam-1.4.0/libs/threadimageio/loadingcache.cpp:461
#5  0x02627c15 in Digikam::ThumbnailLoadingTask::execute (this=0xa42854e8) at /build/buildd/digikam-1.4.0/libs/threadimageio/thumbnailtask.cpp:136
#6  0x026044b3 in Digikam::LoadSaveThread::run (this=0xa31eac0) at /build/buildd/digikam-1.4.0/libs/threadimageio/loadsavethread.cpp:116
#7  0x026488e6 in Digikam::DynamicThreadPriv::run (this=0xa3238f8) at /build/buildd/digikam-1.4.0/libs/threads/dynamicthread.cpp:237
#8  0x01b93603 in QThreadPoolThread::run (this=0xb6edd68) at concurrent/qthreadpool.cpp:106
#9  0x01b9ef39 in QThreadPrivate::start (arg=0xb6edd68) at thread/qthread_unix.cpp:266
#10 0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb64e4740 (LWP 2584)):
#0  0x01f75d41 in ?? () from /usr/lib/libxcb.so.1
#1  0x01f762cb in ?? () from /usr/lib/libxcb.so.1
#2  0x01f76667 in xcb_writev () from /usr/lib/libxcb.so.1
#3  0x096edd79 in _XSend () from /usr/lib/libX11.so.6
#4  0x096da112 in ?? () from /usr/lib/libX11.so.6
#5  0x096da31a in XPutImage () from /usr/lib/libX11.so.6
#6  0x0657c560 in qt_x11_drawImage (rect=..., pos=..., image=..., hd=88330698, gc=0xb6ce188, dpy=0xa0654d0, visual=0xa0665b0, depth=24) at painting/qpaintengine_x11.cpp:1880
#7  0x0657c81f in QX11PaintEngine::drawImage (this=0xb9363c0, r=..., image=..., sr=..., flags=...) at painting/qpaintengine_x11.cpp:1901
#8  0x064be45b in QPainter::drawImage (this=0xbff3d6dc, p=..., image=...) at painting/qpainter.cpp:5599
#9  0x0262504a in QPainter::drawImage (this=0xaa7e848, description=..., thumb=...) at /usr/include/qt4/QtGui/qpainter.h:925
#10 Digikam::ThumbnailLoadThread::slotThumbnailLoaded (this=0xaa7e848, description=..., thumb=...) at /build/buildd/digikam-1.4.0/libs/threadimageio/thumbnailloadthread.cpp:547
#11 0x02625288 in Digikam::ThumbnailLoadThread::slotThumbnailsAvailable (this=0xaa7e848) at /build/buildd/digikam-1.4.0/libs/threadimageio/thumbnailloadthread.cpp:526
#12 0x026254ee in Digikam::ThumbnailLoadThread::qt_metacall (this=0xaa7e848, _c=QMetaObject::InvokeMetaMethod, _id=20, _a=0xa12d60b8)
    at /build/buildd/digikam-1.4.0/obj-i486-linux-gnu/digikam/thumbnailloadthread.moc:93
#13 0x01ca5d4a in QMetaObject::metacall (object=0xaa7e848, cl=QMetaObject::InvokeMetaMethod, idx=20, argv=0xa12d60b8) at kernel/qmetaobject.cpp:237
#14 0x01cb1226 in QMetaCallEvent::placeMetaCall (this=0xa18059b8, object=0xaa7e848) at kernel/qobject.cpp:534
#15 0x01cb2ac2 in QObject::event (this=0xaa7e848, e=0x0) at kernel/qobject.cpp:1219
#16 0x0634072c in QApplicationPrivate::notify_helper (this=0xa051ea0, receiver=0xaa7e848, e=0xa18059b8) at kernel/qapplication.cpp:4396
#17 0x0634677e in QApplication::notify (this=0xbff3e09c, receiver=0xaa7e848, e=0xa18059b8) at kernel/qapplication.cpp:3798
#18 0x016c8cea in KApplication::notify (this=0xbff3e09c, receiver=0xaa7e848, event=0xa18059b8) at ../../kdeui/kernel/kapplication.cpp:310
#19 0x01c9ffeb in QCoreApplication::notifyInternal (this=0xbff3e09c, receiver=0xaa7e848, event=0xa18059b8) at kernel/qcoreapplication.cpp:732
#20 0x01ca324b in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0xa024fe0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#21 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa024fe0) at kernel/qcoreapplication.cpp:1373
#22 0x01ca340d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#23 0x01cced04 in QCoreApplication::sendPostedEvents (s=0xa054318) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#24 postEventSourceDispatch (s=0xa054318) at kernel/qeventdispatcher_glib.cpp:277
#25 0x05f58265 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#26 0x05f5c088 in ?? () from /lib/libglib-2.0.so.0
#27 0x05f5c268 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#28 0x01cce7f5 in QEventDispatcherGlib::processEvents (this=0xa024b08, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#29 0x06401f85 in QGuiEventDispatcherGlib::processEvents (this=0xa024b08, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#30 0x01c9ea99 in QEventLoop::processEvents (this=0xbff3df84, flags=) at kernel/qeventloop.cpp:149
#31 0x01c9ef1a in QEventLoop::exec (this=0xbff3df84, flags=...) at kernel/qeventloop.cpp:201
#32 0x01ca34cf in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#33 0x0633f557 in QApplication::exec () at kernel/qapplication.cpp:3672
#34 0x083bfa13 in main (argc=5, argv=0xbff3e504) at /build/buildd/digikam-1.4.0/digikam/main.cpp:195

Possible duplicates by query: bug 250134, bug 247977, bug 247940, bug 246789.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-11-03 11:33:02 UTC
Thread 3 (Thread 0x9f1feb70 (LWP 3753)):
[KCrash Handler]
#7  0x02627896 in Digikam::ThumbnailLoadingTask::execute (this=0xcb17698) at
/build/buildd/digikam-1.4.0/libs/threadimageio/thumbnailtask.cpp:94
#8  0x026044b3 in Digikam::LoadSaveThread::run (this=0xaa7e848) at
/build/buildd/digikam-1.4.0/libs/threadimageio/loadsavethread.cpp:116
#9  0x026488e6 in Digikam::DynamicThreadPriv::run (this=0xaa72300) at
/build/buildd/digikam-1.4.0/libs/threads/dynamicthread.cpp:237
#10 0x01b93603 in QThreadPoolThread::run (this=0xc5b7150) at
concurrent/qthreadpool.cpp:106
#11 0x01b9ef39 in QThreadPrivate::start (arg=0xc5b7150) at
thread/qthread_unix.cpp:266
#12 0x006a396e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#13 0x02161a4e in clone () from /lib/tls/i686/cmov/libc.so.6

The trace is uncomplete. Please run digiKam through gdb and post backtrace here.

i recommend to test digiKam 1.5.0 too...

Gilles Caulier
Comment 2 Jens Berthold 2010-11-03 14:14:54 UTC
Again with 1.4.0, I did a thumbnail creation scan, this time using gdb to start digiKam.
The crash seems different this time (?)...

Last output in gdb before the crash:
-----------------------------------------------------
No itemShortInfo could be retrieved from the database for image "Panorama_Ehrenberg_2009-05-31.jpg" 
digikam(5713)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/coje/Bilder/Panorama/Panorama_Ehrenberg_2009-05-31.jpg" 
No itemShortInfo could be retrieved from the database for image "Panorama_Ehrenberg_2009-05-31_small.jpg" 
digikam(5713)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/coje/Bilder/Panorama/Panorama_Ehrenberg_2009-05-31_small.jpg" 
pure virtual method called
terminate called without an active exception

Program received signal SIGABRT, Aborted.
[Switching to Thread 0xa2fffb70 (LWP 5769)]
0x0012d422 in __kernel_vsyscall ()
-----------------------------------------------------


Backtrace:
-----------------------------------------------------
#0  0x0012d422 in __kernel_vsyscall ()
#1  0x03354651 in raise () from /lib/tls/i686/cmov/libc.so.6
#2  0x03357a82 in abort () from /lib/tls/i686/cmov/libc.so.6
#3  0x032ae52f in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#4  0x032ac465 in ?? () from /usr/lib/libstdc++.so.6
#5  0x032ac4a2 in std::terminate() () from /usr/lib/libstdc++.so.6
#6  0x032ad155 in __cxa_pure_virtual () from /usr/lib/libstdc++.so.6
#7  0x01037779 in Digikam::LoadingCache::removeLoadingProcess (this=0x86a2a90, process=0xad0f370)
    at /build/buildd/digikam-1.4.0/libs/threadimageio/loadingcache.cpp:161
#8  0x01051c43 in Digikam::ThumbnailLoadingTask::execute (this=0xad0f290) at /build/buildd/digikam-1.4.0/libs/threadimageio/thumbnailtask.cpp:141
#9  0x0102e4b3 in Digikam::LoadSaveThread::run (this=0x8f8e5e8) at /build/buildd/digikam-1.4.0/libs/threadimageio/loadsavethread.cpp:116
#10 0x010728e6 in Digikam::DynamicThreadPriv::run (this=0x8f820a8) at /build/buildd/digikam-1.4.0/libs/threads/dynamicthread.cpp:237
#11 0x02cb3603 in QThreadPoolThread::run (this=0x9e687f8) at concurrent/qthreadpool.cpp:106
#12 0x02cbef39 in QThreadPrivate::start (arg=0x9e687f8) at thread/qthread_unix.cpp:266
#13 0x02ef896e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x033f7a4e in clone () from /lib/tls/i686/cmov/libc.so.6
-----------------------------------------------------
Comment 3 caulier.gilles 2010-11-03 14:20:51 UTC
#4  0x032ac465 in ?? () from /usr/lib/libstdc++.so.6
#5  0x032ac4a2 in std::terminate() () from /usr/lib/libstdc++.so.6
#6  0x032ad155 in __cxa_pure_virtual () from /usr/lib/libstdc++.so.6
#7  0x01037779 in Digikam::LoadingCache::removeLoadingProcess (this=0x86a2a90,
process=0xad0f370)
    at /build/buildd/digikam-1.4.0/libs/threadimageio/loadingcache.cpp:161

==> it's very similar than file :

https://bugs.kde.org/show_bug.cgi?id=255852

Look comment #1 about pure virtual method.

Marcel manage this entry. I'm not sure if this one is a duplicate, but i recommend to follow #255852 and check if it solve this file.

Gilles Caulier
Comment 4 caulier.gilles 2010-11-24 09:13:44 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 5 caulier.gilles 2010-12-06 19:25:16 UTC
*** Bug 259031 has been marked as a duplicate of this bug. ***
Comment 6 Martin Klapetek 2010-12-07 21:31:11 UTC
*** Bug 259167 has been marked as a duplicate of this bug. ***
Comment 7 Marcel Wiesweg 2011-01-18 15:31:18 UTC
Merging thumbnail crashes. Please report back if the crash still occurs with the fix applied on Nov 10th.

*** This bug has been marked as a duplicate of bug 255852 ***
Comment 8 caulier.gilles 2019-08-15 12:58:53 UTC
Fixed with bug #255852